#ifndef OIL_RESERVOIR_HPP_
#define OIL_RESERVOIR_HPP_

#include <Decoration/Decoration.hpp>

class OilReservoir : public Decoration
{
private:
    static constexpr int reservoirWidth = 4;
    static constexpr int reservoirDepth = 7;

    int groundID;

public:
    OilReservoir(int groundID);

    virtual void build(ISculptor &sculptor, GeneratorNode node, glm::ivec3 pos) override;
    virtual double getAverageDensity(const TerrainGenerator::Cell &cell, GeneratorNode node) override;
};

#endif